## compiz 0.9.12.2+15.10.20151202

=== gtk/CMakeLists.txt ===
option (BUILD_GTK "Build gtk-window-decorator and Gnome related toold" 1)
option (BUILD_METACITY "Gtk-window-decorator metacity theme support" 1)
option (BUILD_GNOME "GNOME integration" 1)

compiz_set (USE_GTK ${BUILD_GTK})
compiz_set (USE_METACITY ${BUILD_METACITY})
compiz_set (USE_GNOME ${BUILD_GNOME})

if (USE_GTK)
    pkg_check_modules (GTK_WINDOW_DECORATOR
	xrender>=0.8.4
	gtk+-3.0
	libwnck-3.0
	pangocairo
    )
    if (GTK_WINDOW_DECORATOR_FOUND)
        set (CMAKE_REQUIRED_FLAGS ${GTK_WINDOW_DECORATOR_CFLAGS})
        set (CMAKE_REQUIRED_LIBRARIES ${GTK_WINDOW_DECORATOR_LIBRARIES})
        list (FIND CMAKE_REQUIRED_FLAGS "-D_REENTRANT" REENTRANT_INDEX)
        if (REENTRANT_INDEX)
          list (REMOVE_AT CMAKE_REQUIRED_FLAGS REENTRANT_INDEX)
          list (APPEND CMAKE_REQUIRED_FLAGS "-D_REENTRANT=1")
        endif (REENTRANT_INDEX)
        set (CMAKE_REQUIRED_FLAGS "")
        set (CMAKE_REQUIRED_LIBRARIES "")

        if (USE_METACITY)
            pkg_check_modules (METACITY libmetacity-private>=3.16.0)
            if (NOT METACITY_FOUND)
                compiz_set (USE_METACITY 0)
            endif (METACITY_FOUND)
        endif (USE_METACITY)

	if (USE_GNOME)
	    compiz_pkg_check_modules (GNOME_WINDOW_SETTINGS
		gnome-window-settings-2.0
		gnome-desktop-2.0
	    )

	    if (GNOME_WINDOW_SETTINGS_FOUND)
	        exec_program (${PKG_CONFIG_EXECUTABLE} 
		  ARGS "--variable=prefix gnome-window-settings-2.0" 
		  OUTPUT_VARIABLE windowsettingsdatadir
		)
		set (windowsettingsdatadir ${windowsettingsdatadir}/share)
		exec_program (${PKG_CONFIG_EXECUTABLE} 
		  ARGS "--variable=libdir gnome-window-settings-2.0"
		  OUTPUT_VARIABLE windowsettingslibdir
		)
	    else (GNOME_WINDOW_SETTINGS_FOUND)
		compiz_set (USE_GNOME 0)
	    endif (GNOME_WINDOW_SETTINGS_FOUND)
	endif (USE_GNOME)

    else (GTK_WINDOW_DECORATOR_FOUND)
	compiz_set (USE_GTK 0)
    endif (GTK_WINDOW_DECORATOR_FOUND)
endif (USE_GTK)

if (NOT USE_GTK)
    compiz_set (USE_METACITY 0)
endif (NOT USE_GTK)

configure_file (
    ${CMAKE_CURRENT_SOURCE_DIR}/config.h.gtk.in
    ${CMAKE_CURRENT_BINARY_DIR}/config.h
)

add_subdirectory (window-decorator)
add_subdirectory (gnome)

=== compizconfig/gsettings/gsettings_backend_shared/CMakeLists.txt ===
include (FindPkgConfig)

compiz_pkg_check_modules (GSETTINGS_UTIL ${_deps})

if (GSETTINGS_UTIL_FOUND)

    set (GSETTINGS_UTIL_LIB_INCLUDES
         ${CMAKE_CURRENT_SOURCE_DIR}
         ${CMAKE_SOURCE_DIR}/compizconfig/integration/gnome/include
         ${CMAKE_SOURCE_DIR}/compizconfig/integration/gnome/gconf/include
         ${CMAKE_SOURCE_DIR}/compizconfig/integration/gnome/gsettings/include
	 ${compiz_SOURCE_DIR}/compizconfig/libcompizconfig/include
	 ${GSETTINGS_UTIL_INCLUDE_DIRS}
	 ${CMAKE_CURRENT_SOURCE_DIR}/../src)

    include_directories (${GSETTINGS_UTIL_LIB_INCLUDES})

    link_directories (${GSETTINGS_UTIL_LIBRARY_DIRS}
		      ${compiz_BINARY_DIR}/compizconfig/libcompizconfig
                      ${compiz_BINARY_DIR}/compizconfig/integration/gnome
                      ${CMAKE_BINARY_DIR}/compizconfig/integration/gnome/gconf
                      ${CMAKE_BINARY_DIR}/compizconfig/integration/gnome/gsettings)

    add_library (compizconfig_gsettings_backend_interface STATIC
                 ${CMAKE_CURRENT_SOURCE_DIR}/ccs_gsettings_backend_interface.c)

    add_library (compizconfig_gsettings_wrapper_factory_interface STATIC
                 ${CMAKE_CURRENT_SOURCE_DIR}/ccs_gsettings_wrapper_factory_interface.c)

    add_library (compizconfig_gsettings_wrapper_factory STATIC
                 ${CMAKE_CURRENT_SOURCE_DIR}/ccs_gsettings_wrapper_factory.c)

    add_library (compizconfig_gsettings_wrapper_interface STATIC
                 ${CMAKE_CURRENT_SOURCE_DIR}/ccs_gsettings_interface.c)

    add_library (compizconfig_gsettings_wrapper STATIC
                 ${CMAKE_CURRENT_SOURCE_DIR}/ccs_gsettings_interface_wrapper.c)

    target_link_libraries (compizconfig_gsettings_wrapper
                           compizconfig
                           ${GSETTINGS_UTIL_LIBRARIES})

    add_library (compizconfig_gsettings_util STATIC
                 ${CMAKE_CURRENT_SOURCE_DIR}/gsettings_constants.c
                 ${CMAKE_CURRENT_SOURCE_DIR}/gsettings_util.c)

    target_link_libraries (compizconfig_gsettings_util
                           compizconfig_gsettings_backend_interface
                           compizconfig_gsettings_wrapper_interface
                           compizconfig
                           ${GSETTINGS_UTIL_LIBRARIES})

    add_library (compizconfig_gsettings_backend SHARED
                 ${CMAKE_CURRENT_SOURCE_DIR}/ccs_gsettings_backend.c)

    set (GSETTINGS_BACKEND_SHARED_ADDITIONAL_LIBRARIES
	 compizconfig_gsettings_backend_interface
	 compizconfig_gsettings_util
	 compizconfig_gsettings_wrapper
	 compizconfig_gnome_integration
	 compizconfig_gnome_integration_gsettings_integrated_setting
	 compizconfig_gnome_integration_gsettings_setting_factory
	 compizconfig_gnome_integration_gsettings_wrapper_factory
	 compizconfig_gsettings_wrapper_factory_interface
	 compizconfig_gsettings_wrapper_factory
	 compizconfig)

    if (USE_GCONF)
	list (APPEND GSETTINGS_BACKEND_SHARED_ADDITIONAL_LIBRARIES
	      compizconfig_gnome_integration_gconf_setting_factory)
	list (APPEND GSETTINGS_BACKEND_SHARED_ADDITIONAL_LIBRARIES
	      compizconfig_gnome_integration_gconf_integrated_setting)
    endif (USE_GCONF)

    target_link_libraries (compizconfig_gsettings_backend
			   ${GSETTINGS_BACKEND_SHARED_ADDITIONAL_LIBRARIES}
                           ${GSETTINGS_UTIL_LIBRARIES})

    install (TARGETS compizconfig_gsettings_backend
             DESTINATION ${libdir})

endif (GSETTINGS_UTIL_FOUND)

=== compizconfig/integration/mate/CMakeLists.txt ===
include (FindPkgConfig)

add_subdirectory (gconf)
add_subdirectory (gsettings)

set (_deps
     glib-2.0>=2.20.0
     gio-2.0>=2.25.0)

compiz_pkg_check_modules (COMPIZCONFIG_MATE_INTEGRATION ${_deps})

if (COMPIZCONFIG_MATE_INTEGRATION_FOUND)

    include_directories (${CMAKE_SOURCE_DIR}/compizconfig/libcompizconfig/include
			 ${CMAKE_SOURCE_DIR}/compizconfig/integration/mate/include
			 ${COMPIZCONFIG_MATE_INTEGRATION_INCLUDE_DIRS})

    link_directories (${CMAKE_BINARY_DIR}/compizconfig/libcompizconfig
		      ${COMPIZCONFIG_MATE_INTEGRATION_LIBRARY_DIRS})

    add_library (compizconfig_mate_integration_constants STATIC
		 ${CMAKE_CURRENT_SOURCE_DIR}/src/ccs_mate_integration_constants.c)

    add_library (compizconfig_mate_integration STATIC
		 ${CMAKE_CURRENT_SOURCE_DIR}/src/ccs_mate_integration.c)

    target_link_libraries (compizconfig_mate_integration
			   compizconfig_mate_integration_constants
			   compizconfig_mate_integrated_setting
			   compizconfig
			   ${COMPIZCONFIG_MATE_INTEGRATION_LIBRARIES})

    add_library (compizconfig_mate_integrated_setting STATIC
		 ${CMAKE_CURRENT_SOURCE_DIR}/src/ccs_mate_integrated_setting.c)

    target_link_libraries (compizconfig_mate_integrated_setting
			   compizconfig_mate_integration_constants
			   compizconfig
			${COMPIZCONFIG_MATE_INTEGRATION_LIBRARIES})

    if (COMPIZ_BUILD_TESTING)
	add_subdirectory (tests)
    endif (COMPIZ_BUILD_TESTING)

endif (COMPIZCONFIG_MATE_INTEGRATION_FOUND)

=== gtk/window-decorator/tests/CMakeLists.txt ===
include (CompizGSettings)

include_directories (${CMAKE_CURRENT_SOURCE_DIR}
		     ${CMAKE_CURRENT_SOURCE_DIR}/../
                     ${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_SOURCE_DIR}/tests/shared
                     ${CMAKE_SOURCE_DIR}/tests/shared/glib)

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/compiz_gwd_tests.h.in
		${CMAKE_CURRENT_BINARY_DIR}/compiz_gwd_tests.h)

pkg_check_modules (COMPIZ_TEST_GTK_WINDOW_DECORATOR
		   glib-2.0>=2.28
		   gio-2.0>=2.25.0)

if (COMPIZ_TEST_GTK_WINDOW_DECORATOR_FOUND)

    link_directories (${CMAKE_CURRENT_BINARY_DIR}
		      ${CMAKE_CURRENT_BINARY_DIR}/..)

    add_library (gtk_window_decorator_mock_settings_storage STATIC
		 ${CMAKE_CURRENT_SOURCE_DIR}/compiz_gwd_mock_settings_storage.cpp)

    target_link_libraries (gtk_window_decorator_mock_settings_storage
			   gtk_window_decorator_settings_storage_interface)

    add_library (gtk_window_decorator_mock_settings STATIC
		 ${CMAKE_CURRENT_SOURCE_DIR}/compiz_gwd_mock_settings.cpp)

    target_link_libraries (gtk_window_decorator_mock_settings
			   gtk_window_decorator_settings_interface)

    add_library (gtk_window_decorator_mock_settings_writable STATIC
		 ${CMAKE_CURRENT_SOURCE_DIR}/compiz_gwd_mock_settings_writable.cpp)

    target_link_libraries (gtk_window_decorator_mock_settings_writable
			   gtk_window_decorator_settings_writable_interface)

    add_library (gtk_window_decorator_mock_settings_notified STATIC
		 ${CMAKE_CURRENT_SOURCE_DIR}/compiz_gwd_mock_settings_notified.cpp)

    target_link_libraries (gtk_window_decorator_mock_settings_notified
			   gtk_window_decorator_settings_notified_interface)

    add_executable (compiz_test_gwd_settings
		    ${CMAKE_CURRENT_SOURCE_DIR}/test_gwd_settings.cpp)

    set (COMPIZ_TEST_GWD_SETTINGS_ADDITIONAL_LIBRARIES
	 gtk_window_decorator_settings
	 gtk_window_decorator_mock_settings
	 gtk_window_decorator_mock_settings_writable
	 gtk_window_decorator_mock_settings_storage
	 gtk_window_decorator_mock_settings_notified)

    set (COMPIZ_TEST_GWD_SETTINGS_COVERAGE_TARGETS
	 gtk_window_decorator_settings
	 gtk_window_decorator_settings_interface
	 gtk_window_decorator_settings_storage_interface
	 gtk_window_decorator_settings_notified_interface)

    if (USE_GSETTINGS)
	add_definitions (-DUSE_GSETTINGS)
	set (_desktop_gschema_name org.gnome.desktop.wm.preferences)
	set (_desktop_gschema_filename ${_desktop_gschema_name}.gschema.xml)
	set (_desktop_gschema_filepath ${CMAKE_CURRENT_SOURCE_DIR}/${_desktop_gschema_filename})
	set (_desktop_gschema_generated_location ${CMAKE_BINARY_DIR}/generated/glib-2.0/schemas/${_desktop_gschema_filename})

	add_custom_command (OUTPUT ${_desktop_gschema_generated_location}
			    COMMAND cp -r ${_desktop_gschema_filepath} ${_desktop_gschema_generated_location}
			    DEPENDS ${_desktop_gschema_filepath}
			    VERBATIM)

	add_custom_target (compiz_gwd_gsettings_org_gnome_desktop_wm_preferences_schema ALL
			   DEPENDS ${_desktop_gschema_generated_location})

	add_gsettings_schema_to_recompilation_list (compiz_gwd_gsettings_org_gnome_desktop_wm_preferences_schema)

	set (_metacity_gschema_name org.gnome.metacity)
	set (_metacity_gschema_filename ${_metacity_gschema_name}.gschema.xml)
	set (_metacity_gschema_filepath ${CMAKE_CURRENT_SOURCE_DIR}/${_metacity_gschema_filename})
	set (_metacity_gschema_generated_location ${CMAKE_BINARY_DIR}/generated/glib-2.0/schemas/${_metacity_gschema_filename})

	add_custom_command (OUTPUT ${_metacity_gschema_generated_location}
			    COMMAND cp -r ${_metacity_gschema_filepath} ${_metacity_gschema_generated_location}
			    DEPENDS ${_metacity_gschema_filepath}
			    VERBATIM)

	add_custom_target (compiz_gwd_gsettings_org_gnome_metacity_schema ALL
			   DEPENDS ${_metacity_gschema_generated_location})

	add_gsettings_schema_to_recompilation_list (compiz_gwd_gsettings_org_gnome_metacity_schema)

	set (_mutter_gschema_name org.gnome.mutter)
	set (_mutter_gschema_filename ${_mutter_gschema_name}.gschema.xml)
	set (_mutter_gschema_filepath ${CMAKE_CURRENT_SOURCE_DIR}/${_mutter_gschema_filename})
	set (_mutter_gschema_generated_location ${CMAKE_BINARY_DIR}/generated/glib-2.0/schemas/${_mutter_gschema_filename})

	add_custom_command (OUTPUT ${_mutter_gschema_generated_location}
			    COMMAND cp -r ${_mutter_gschema_filepath} ${_mutter_gschema_generated_location}
			    DEPENDS ${_mutter_gschema_filepath}
			    VERBATIM)

	add_custom_target (compiz_gwd_gsettings_org_gnome_mutter_schema ALL
			   DEPENDS ${_mutter_gschema_generated_location})

	add_gsettings_schema_to_recompilation_list (compiz_gwd_gsettings_org_gnome_mutter_schema)

	set (COMPIZ_TEST_GWD_SETTINGS_ADDITIONAL_LIBRARIES
	     ${COMPIZ_TEST_GWD_SETTINGS_ADDITIONAL_LIBRARIES}
	     gtk_window_decorator_settings_storage_gsettings)

	set (COMPIZ_TEST_GWD_SETTINGS_COVERAGE_TARGETS
	     ${COMPIZ_TEST_GWD_SETTINGS_COVERAGE_TARGETS}
	    gtk_window_decorator_settings_storage_gsettings)
    endif (USE_GSETTINGS)


    target_link_libraries (compiz_test_gwd_settings
			   ${COMPIZ_TEST_GWD_SETTINGS_ADDITIONAL_LIBRARIES}
			   decoration
			   ${COMPIZ_TEST_GTK_WINDOW_DECORATOR_LIBRARIES}
			   ${GTEST_BOTH_LIBRARIES}
			   ${GMOCK_LIBRARY}
		       	   ${GMOCK_MAIN_LIBRARY})

    compiz_discover_tests (compiz_test_gwd_settings
			   COVERAGE
			   ${COMPIZ_TEST_GWD_SETTINGS_COVERAGE_TARGETS})

    add_executable (compiz_test_gwd_cairo_decorations
		    ${CMAKE_CURRENT_SOURCE_DIR}/test_gwd_cairo_decorations.cpp)

    target_link_libraries (compiz_test_gwd_cairo_decorations
			   gtk_window_decorator_cairo_window_decoration_util
			   ${COMPIZ_TEST_GTK_WINDOW_DECORATOR_LIBRARIES}
			   ${GTEST_BOTH_LIBRARIES}
			   ${GMOCK_LIBRARY}
		       	   ${GMOCK_MAIN_LIBRARY}
			   decoration)

    compiz_discover_tests (compiz_test_gwd_cairo_decorations COVERAGE
			   gtk_window_decorator_cairo_window_decoration_util)

    if (METACITY_FOUND)
    add_executable (compiz_test_gwd_metacity_decorations
		    ${CMAKE_CURRENT_SOURCE_DIR}/test_gwd_metacity_decorations.cpp)

    target_link_libraries (compiz_test_gwd_metacity_decorations
			   gtk_window_decorator_metacity_window_decoration_util
			   ${COMPIZ_TEST_GTK_WINDOW_DECORATOR_LIBRARIES}
			   ${GTEST_BOTH_LIBRARIES}
			   ${GMOCK_LIBRARY}
		       	   ${GMOCK_MAIN_LIBRARY}
			   decoration)

    compiz_discover_tests (compiz_test_gwd_metacity_decorations COVERAGE
			   gtk_window_decorator_metacity_window_decoration_util)
    endif (METACITY_FOUND)

endif (COMPIZ_TEST_GTK_WINDOW_DECORATOR_FOUND)

## compiz 0.9.12.2+16.04.20160415

=== integration/CMakeLists.txt ===
add_subdirectory (gnome)
add_subdirectory (mate)

## compiz 0.9.12.3%2B16.04.20180221

=== plugin/tests/CMakeLists.txt ===
include(CompizTesting)

include_directories( 
  ${CMAKE_CURRENT_SOURCE_DIR} 

  ${compiz_SOURCE_DIR}/include
  ${compiz_SOURCE_DIR}/src
  ${compiz_SOURCE_DIR}/tests/shared
)

add_definitions (
    -DHAVE_CONFIG_H
    -DPLUGINDIR=\\\"${compiz_plugindir}\\\"
    -DSHAREDIR=\\\"${compiz_sharedir}\\\"
    -DMETADATADIR=\\\"${compiz_metadatadir}\\\"
)


add_executable( 
  compiz_plugin_test
  
  ${CMAKE_CURRENT_SOURCE_DIR}/test-plugin.cpp
)

target_link_libraries( 
  compiz_plugin_test 
  
  compiz_plugin
  compiz_core
  
  ${GTEST_BOTH_LIBRARIES}
  ${GMOCK_LIBRARY}
)

compiz_discover_tests ( compiz_plugin_test COVERAGE compiz_plugin compiz_core )

## compiz 0.9.12.3%2B16.04.20180221-0ubuntu1%2B8.0trisquel1

=== tests/xorg-gtest/CMakeLists.txt ===
set (COMPIZ_LD_LIBRARY_PATH ${CMAKE_BINARY_DIR}/src CACHE STRING "" FORCE)
set (COMPIZ_BINARY ${CMAKE_BINARY_DIR}/src/compiz CACHE STRING "" FORCE)

set (COMPIZ_XORG_GTEST_COMMUNICATOR_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/communicator CACHE PATH "" FORCE)
set (COMPIZ_XORG_GTEST_COMMUNICATOR_LIBRARY_DIRS ${CMAKE_CURRENT_BINARY_DIR}/communicator CACHE PATH "" FORCE)
set (COMPIZ_XORG_GTEST_COMMUNICATOR_LIBRARY compiz_xorg_gtest_communicator CACHE STRING "" FORCE)
set (COMPIZ_TEST_ONLY_PLUGIN_PATH ${CMAKE_CURRENT_BINARY_DIR}/plugins/)
set (COMPIZ_REAL_PLUGIN_PATH ${CMAKE_BINARY_DIR}/plugins/)

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/src/compiz-xorg-gtest-config.h.in
		${CMAKE_CURRENT_BINARY_DIR}/src/compiz-xorg-gtest-config.h
		@ONLY)

include_directories (${XORG_SERVER_INCLUDE_XORG_GTEST}
		     ${XORG_SERVER_GTEST_INCLUDES}
                     ${COMPIZ_XORG_SYSTEM_TEST_INCLUDE_DIR}
                     ${CMAKE_CURRENT_BINARY_DIR}/src
                     ${compiz_SOURCE_DIR}/tests/shared
		     ${COMPIZ_XORG_GTEST_COMMUNICATOR_INCLUDE_DIR})

link_directories (${XORG_SERVER_LIBRARY_DIRS})

add_definitions (${XORG_SERVER_GTEST_CFLAGS})

set (_xorg_gtest_all_srcs
     ${XORG_SERVER_GTEST_SRC}/src/xorg-gtest-all.cpp)

add_library (xorg_gtest_all STATIC
	     ${_xorg_gtest_all_srcs})

add_library (compiz_xorg_gtest_main STATIC
             ${CMAKE_CURRENT_SOURCE_DIR}/src/compiz_xorg_gtest_main.cpp)

add_library (compiz_xorg_gtest_system_test STATIC
	     ${CMAKE_CURRENT_SOURCE_DIR}/src/compiz-xorg-gtest.cpp)

add_executable (xorg_gtest_wrapper
		${CMAKE_CURRENT_SOURCE_DIR}/src/xorg_gtest_wrapper.cpp)

target_link_libraries (xorg_gtest_all
                       ${X11_XI_LIBRARIES}
		       ${GTEST_BOTH_LIBRARIES}
		       ${XORG_SERVER_GTEST_LIBRARIES})

target_link_libraries (compiz_xorg_gtest_main
		       ${GTEST_BOTH_LIBRARIES}
		       ${XORG_SERVER_GTEST_LIBRARIES})

target_link_libraries (compiz_xorg_gtest_system_test
		       xorg_gtest_all
		       compiz_xorg_gtest_main
		       ${GTEST_BOTH_LIBRARIES}
		       ${XORG_SERVER_LIBRARIES}
		       ${COMPIZ_XORG_GTEST_COMMUNICATOR_LIBRARY}
		       ${X11_XI_LIBRARIES})

add_executable (xorg_gtest_wrapper
		${CMAKE_CURRENT_SOURCE_DIR}/src/xorg_gtest_wrapper.cpp)

add_subdirectory (communicator)
add_subdirectory (plugins)

=== gtk/window-decorator/tests/CMakeLists.txt ===
--- 
+++ 
@@ -90,20 +90,20 @@
 
 	add_gsettings_schema_to_recompilation_list (compiz_gwd_gsettings_org_gnome_metacity_schema)
 
-	set (_mutter_gschema_name org.gnome.mutter)
-	set (_mutter_gschema_filename ${_mutter_gschema_name}.gschema.xml)
-	set (_mutter_gschema_filepath ${CMAKE_CURRENT_SOURCE_DIR}/${_mutter_gschema_filename})
-	set (_mutter_gschema_generated_location ${CMAKE_BINARY_DIR}/generated/glib-2.0/schemas/${_mutter_gschema_filename})
+	set (_marco_gschema_name org.mate.marco)
+	set (_marco_gschema_filename ${_marco_gschema_name}.gschema.xml)
+	set (_marco_gschema_filepath ${CMAKE_CURRENT_SOURCE_DIR}/${_marco_gschema_filename})
+	set (_marco_gschema_generated_location ${CMAKE_BINARY_DIR}/generated/glib-2.0/schemas/${_marco_gschema_filename})
 
-	add_custom_command (OUTPUT ${_mutter_gschema_generated_location}
-			    COMMAND cp -r ${_mutter_gschema_filepath} ${_mutter_gschema_generated_location}
-			    DEPENDS ${_mutter_gschema_filepath}
+	add_custom_command (OUTPUT ${_marco_gschema_generated_location}
+			    COMMAND cp -r ${_marco_gschema_filepath} ${_marco_gschema_generated_location}
+			    DEPENDS ${_marco_gschema_filepath}
 			    VERBATIM)
 
-	add_custom_target (compiz_gwd_gsettings_org_gnome_mutter_schema ALL
-			   DEPENDS ${_mutter_gschema_generated_location})
+	add_custom_target (compiz_gwd_gsettings_org_mate_marco_schema ALL
+			   DEPENDS ${_marco_gschema_generated_location})
 
-	add_gsettings_schema_to_recompilation_list (compiz_gwd_gsettings_org_gnome_mutter_schema)
+	add_gsettings_schema_to_recompilation_list (compiz_gwd_gsettings_org_mate_marco_schema)
 
 	set (COMPIZ_TEST_GWD_SETTINGS_ADDITIONAL_LIBRARIES
 	     ${COMPIZ_TEST_GWD_SETTINGS_ADDITIONAL_LIBRARIES}

=== debian/control ===
Source: compiz
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: David Nusinow <dnusinow@debian.org>, Sean Finney <seanius@debian.org>, Cyril Brulebois <kibi@debian.org>
Build-Depends: cmake (>= 2.8.5),
               debhelper (>= 9~),
               dh-migrations,
               dh-translations,
               intltool,
               libtool,
               pkg-config,
               quilt (>= 0.40),
               libcairo2-dev,
               libdbus-glib-1-dev,
               libgl1-mesa-dev (>= 6.5.1) [!armhf !armel] | libgl-dev [!armhf !armel],
               libegl1-mesa-dev [armhf armel], libgles2-mesa-dev [armhf armel],
               libboost-dev,
               libboost-serialization-dev,
               libglib2.0-dev,
               libglibmm-2.4-dev,
               libgtk-3-dev,
               libice-dev (>= 1:1.0.1), 
               libmetacity-dev (>= 1:3.16.0),
               libpango1.0-dev,
               libpng12-dev | libpng-dev,
               librsvg2-dev, 
               libsm-dev (>= 1:1.0.1),
               libwnck-3-dev,
               libx11-dev,
               libxcomposite-dev (>= 1:0.3-2),
               libxext-dev,
               libxdamage-dev (>=1:1.0.3),
               libxfixes-dev (>= 1:4.0.1),
               libxi-dev,
               libxinerama-dev, 
               libxml-parser-perl,
               libxorg-gtest-dev,
               libxrandr-dev (>= 2:1.1.0.2),
               libxrender-dev (>= 1:0.9.1), 
               libxcursor-dev,
               libxml2-dev,
               libxslt1-dev,
               xsltproc,
               libstartup-notification0-dev (>= 0.7),
               x11proto-gl-dev (>= 1.4.8),
               libglu1-mesa-dev [!armhf !armel],
               libjpeg8-dev,
               libnotify-dev,
               libx11-xcb-dev,
               libprotobuf-dev,
               protobuf-compiler,
               python-all-dev,
               python-pyrex,
               gsettings-desktop-schemas-dev,
               xserver-xorg-dev (>= 0.7.0),
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
# If you aren't a member of ~compiz-team but need to upload packaging changes,
# just go ahead.  ~compiz-team will notice and sync up the code again.
Vcs-Bzr: https://code.launchpad.net/~compiz-team/compiz/0.9.10
Homepage: https://launchpad.net/compiz

Package: compiz
Architecture: all
Provides: x-window-manager
Depends: compiz-core (>= ${source:Version}),
         compiz-plugins-default (>= ${source:Version}),
         compiz-gnome,
         ${misc:Depends},
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This metapackage provides the components necessary for running compiz. It
 provides the compiz core, a set of standard plugins, a window decorator using
 the Gtk toolkit and the files necessary to integrate compiz with the GNOME
 desktop environment.

Package: compiz-core
Architecture: any
Multi-Arch: no
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Recommends: compiz-plugins-default,
Provides: compiz-core-abiversion-${coreabiversion}
Replaces: compizconfig-settings-manager (<< 0.9.8)
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 Compiz combines together a window manager and a composite manager using
 OpenGL for rendering. A "window manager" allows the manipulation of the
 multiple applications and dialog windows that are presented on the screen. A
 "composite manager" allows windows and other graphics to be combined together
 to create composite images. Compiz achieves its stunning effects by doing
 both of these functions.

Package: compiz-dev
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: compiz-core (= ${binary:Version}),
         libdecoration0-dev (= ${binary:Version}),
         ${misc:Depends},
         compiz-plugins-default (= ${binary:Version}),
         libgl1-mesa-dev [!armhf !armel] | libgl-dev [!armhf !armel],
         libegl1-mesa-dev [armhf armel],
         libgles2-mesa-dev [armhf armel],
         libpng-dev,
         libxcomposite-dev (>= 1:0.3-2),
         libxfixes-dev (>=1:4.0.1),
         libxdamage-dev (>= 1:1.0.3),
         libxinerama-dev,
         libxrandr-dev (>=2:1.1.0.2),
         libxcursor-dev,
         libice-dev (>= 1:1.0.1),
         libsm-dev (>= 1:1.0.1),
         libstartup-notification0-dev (>= 0.7),
         libxslt1-dev,
         libxml2-dev,
         libx11-xcb-dev,
         libglib2.0-dev,
         libglibmm-2.4-dev,
         libgtk-3-dev,
Replaces: compiz-plugins-main-dev (<< 1:0.9.8),
          compiz-plugins-extra (<< 1:0.9.8),
          compiz-dev (<< 1:0.9.8),
Breaks: compiz-plugins-main-dev (<< 1:0.9.8),
        compiz-plugins-extra (<< 1:0.9.8),
Suggests: compiz-plugins
Description: OpenGL window and compositing manager - development files
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the headers and libraries needed to compile compiz
 plugins.

Package: compiz-gnome
Architecture: any
Multi-Arch: no
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         compiz-plugins-default (= ${binary:Version}),
         gsettings-desktop-schemas,
         gnome-settings-daemon-schemas (>= 3.4.2-0ubuntu9),
         python3-gi
Recommends: gnome-system-monitor | mate-system-monitor,
Replaces: compiz-plugins-main (<= 1:0.9.8),
          compiz-plugins-main-default (<= 1:0.9.8),
          libcompizconfig0 (<= 1:0.9.8),
Breaks: compiz-plugins-main (<= 1:0.9.8),
        compiz-plugins-main-default (<= 1:0.9.8),
Description: OpenGL window and compositing manager - GNOME window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains files needed to integrate compiz with the GNOME desktop
 environment.

Package: compiz-mate
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         compiz-gnome,
         mate-settings-daemon,
         python
Recommends: ubuntu-mate-wallpapers-common,
Description: OpenGL window and compositing manager - MATE integration
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains files needed to integrate compiz with the MATE desktop
 environment.

Package: compiz-plugins-default
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: compiz-core (= ${binary:Version}),
         libdecoration0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Replaces: compiz-plugins-main-default (<< 1:0.9.8),
          compiz-plugins (<< 1:0.9.12.1+15.10.20150724),
Breaks: compiz-plugins-main-default (<< 1:0.9.8),
        compiz-plugins (<< 1:0.9.12.1+15.10.20150724),
Description: OpenGL window and compositing manager - default plugins
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the default set of core Compiz plugins.

Package: compiz-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: compiz-core (= ${binary:Version}),
         compiz-plugins-default (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Replaces: compiz-plugins-main (<< 1:0.9.8),
          compiz-plugins-extra (<< 1:0.9.8),
          compiz-plugins-main-default (<< 1:0.9.8),
          compiz-core (<< 1:0.9.11+14.10.20140606),
Breaks: compiz-plugins-main (<< 1:0.9.8),
        compiz-plugins-extra (<< 1:0.9.8),
        compiz-core (<< 1:0.9.11+14.10.20140606),
Description: OpenGL window and compositing manager - plugins
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the plugins that come with compiz but not officially
 supported.

Package: libdecoration0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Compiz window decoration library
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator.

Package: libdecoration0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libdecoration0 (= ${binary:Version}),
         ${misc:Depends},
         libx11-dev,
         libxrender-dev (>= 1:0.9.1),
Description: Compiz window decoration library - development files
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator.
 .
 This package contains files required for developing window decorators
 compatible with Compiz.

Package: libcompizconfig0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         compiz-core (= ${binary:Version}),
Description: Settings library for plugins - OpenCompositing Project
 The OpenCompositing Project brings 3D desktop visual effects that improve
 usability of the X Window System and provide increased productivity
 through plugins and themes contributed by the community giving a
 rich desktop experience.
 .
 This package contains the library for plugins to configure settings.

Package: libcompizconfig0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         libcompizconfig0 (= ${binary:Version}),
         compiz-dev,
Description: Development file for plugin settings - OpenCompositing Project
 The OpenCompositing Project brings 3D desktop visual effects that improve
 usability of the X Window System and provide increased productivity
 through plugins and themes contributed by the community giving a
 rich desktop experience.
 .
 This package contains the headers and development files needed to
 build plugins with settings support.

Package: python-compizconfig
Architecture: any
Multi-Arch: same
Section: python
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
Description: Compizconfig bindings for Python
 Compiz Fusion is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness
 .
 This package provides Python bindings for the compizconfig system.

Package: compizconfig-settings-manager
Architecture: all
Multi-Arch: allowed
XB-Python-Version: ${python:Versions}
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-compizconfig (>= ${source:Version}),
         python-gtk2,
Recommends: compiz-plugins-default

## compiz 0.9.12.3+16.04.20171116-0ubuntu1+8.0trisquel1

=== debian/changelog ===
compiz (1:0.9.12.3+16.04.20171116-0ubuntu1+8.0trisquel1) flidas; urgency=medium

  * Remove recomendation to use fglrx (non-free software)

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 16 Feb 2018 11:13:21 +0000

compiz (1:0.9.12.3+16.04.20171116-0ubuntu1) xenial; urgency=medium

  [ Eleni Maria Stea ]
  * Added option to disable blend in grid plugin (LP: #1700859)
  * Move: add options for showing only the window shape (filled or not)
    (LP: #1700859)

  [ Alberts Muktupāvels ]
  * Ensure that surfaces used by metacity theme have device scale set to
    1 . (LP: #1530277) (LP: #1530277)
  * Use AnyPropertyType when getting _MOTIF_WM_HINTS property. (LP:
    #1702297)

  [ Martin Wimpress ]
  * mate: Avoid artefacts of Windows Thumbnail Previews (LP: #1606369)

  [ Marco Trevisan (Treviño) ]
  * move: damage all the border area in outline mode and ignore
    transparent colors (LP: #1700859)
  * grid: ignore alpha in colors when not blending, and fix animations
    (LP: #1700859)
  * resize: add support for disabling transparency and avoid over-
    damaging in outline mode (LP: #1700859)
  * Screen: add averageColor to get the current desktop average color
  * unity-lowgfx.ini: remove unsupported unity option

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 16 Nov 2017 23:00:54 +0000

compiz (1:0.9.12.2+16.04.20160823-0ubuntu1) xenial; urgency=medium

  [ Andrea Azzarone ]
  * [expo] limit scroll to workarea. (LP: #913880)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 23 Aug 2016 16:06:02 +0000

compiz (1:0.9.12.2+16.04.20160801.3-0ubuntu1) xenial; urgency=medium

  [ Andrea Azzarone ]
  * Don't activate expo if not needed (1x1 setup) (LP: #1606254)
  * Don't crash if gsettings key is not found. Default value will be
    used. (LP: #1044662)
  * focusDefaultWindow: focus Most Recently Used (MRU) window and
    fallback to the top window in case MRU list is not available. (LP:
    #1073488, LP: #1459671)

  [ Marco Trevisan (Treviño) ]
  * Unity MigrationScript: sync gsettings on exit, and only use dconf on
    failure (LP: #1605011)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 01 Aug 2016 13:41:42 +0000

compiz (1:0.9.12.2+16.04.20160714-0ubuntu1) xenial; urgency=medium

  [ Eleni Maria Stea ]
  * Added options for no animation in expo and scale plugins. They skip
    the intermediate fading steps that force several redraws.
  * Added a new option in show desktop plugin that skips the fade
    animation: useful when performance is more important than eyecandy.

  [ Marco Trevisan (Treviño) ]
  * debian: add unity-lowgfx profile to compizconfig (LP: #1598770)
  * Composite: use C++ goodness for managing damaging rectangles
  * ccsGSettingsBackend: don't try to update setting if wrapper is not
    found
  * migration scripts: remove unsupported plugins for all the unity
    profiles

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 14 Jul 2016 16:00:57 +0000

compiz (1:0.9.12.2+16.04.20160526-0ubuntu1) xenial; urgency=medium

  [ Andrea Azzarone ]
  * Add an option to notify that a key press is actually an "auto
    repeat" one. (LP: #1572241)

  [ Alberts Muktupāvels ]
  * OpenGL: use the number of Opaque windows around to decide whether
    paint the bg or not (LP: #1574866)

  [ Marco Trevisan (Treviño) ]
  * Scale: use the selectedWindow as starting point when focusing a
    window (LP: #1575168)
  * Scale: allow to iterate through windows using Tab key
  * Window: call stateChangeNotify when compiz state changed but before
    changing the WM state (LP: #1521302)

  [ Eleni Maria Stea ]
  * Expo, Scale: add support for bottom offsets (LP: #1562346, LP:
    #1573897)

  [ handsome_feng ]
  * Add a YBottomOffset value when stretch maximized windows。 (LP:
    #1562348)

  [ CI Train Bot ]
  * No-change rebuild.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 26 May 2016 00:12:16 +0000

compiz (1:0.9.12.2+16.04.20160415-0ubuntu1) xenial; urgency=medium

  [ Martin Wimpress ]
  * mate.ini: Fixes flickery thumbnails

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 15 Apr 2016 05:30:50 +0000

compiz (1:0.9.12.2+16.04.20160331-0ubuntu1) xenial; urgency=medium

  [ Alberts Muktupāvels ]
  * gtk-window-decorator: fix typos in tests.

  [ Martin Wimpress ]
  * Fix compiz-mate Recommends: use ubuntu-mate-wallpapers-common.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 31 Mar 2016 22:55:09 +0000

compiz (1:0.9.12.2+16.04.20160318-0ubuntu1) xenial; urgency=medium

  [ Alberts Muktupāvels ]
  * gtk-window-decorator: Use the Marco gsettings in MATE session.
  * gtk-window-decorator: add support for dark theme variant.

  [ Martin Wimpress ]
  * MATE Compiz configuration is now consistent with composited Marco
    and Metacity.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 18 Mar 2016 10:08:19 +0000

compiz (1:0.9.12.2+16.04.20160311-0ubuntu1) xenial; urgency=medium

  [ Alberts Muktupāvels ]
  * Avoid GtkStyleContext warnings with GTK+ 3.20+.
  * Remove GWDSettingsXPropertyStorageInterface.
  * gtk-window-decorator: Remove unused setting from mutter.

  [ Martin Wimpress ]
  * mate.ini: Enable 'Keep Minimzed Windows' by default for the MATE
    profile (LP: #1067951)

  [ Sam Spilsbury smspillaz@gmail.com ]
  * Fix broken tests

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 11 Mar 2016 08:26:45 +0000

compiz (1:0.9.12.2+16.04.20160209-0ubuntu1) xenial; urgency=medium

  [ Eleni Maria Stea ]
  * chrome and chromium windows are considered compiz windows in
    fullscreen to avoid tearing (Bug #1442728) (LP: #1442728)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 09 Feb 2016 01:16:01 +0000

compiz (1:0.9.12.2+16.04.20151211-0ubuntu1) xenial; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * FindXorgGTest: escape unscaped quotes on pkg-config variables (LP:
    #1521366)
  * Scale: use current monitor workarea to check whether the mouse is
    inside or not (LP: #1516599)
  * backends: drop gconf support
